clearvars -except fs x
clc

shiftFB = estimateTuning(x);

clear parameter
parameter.winLenSTMSP = 441;
parameter.fs = fs;
parameter.shiftFB = shiftFB;
parameter.saveAsTuned = 1;

[f_pitch,sideinfo] = audio_to_pitch_via_FB(x,parameter);